#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <unistd.h>

#define LED0_DEVICE	"/dev/led0"

int led(int value){
	int fd;
	char c;

	fd = open(LED0_DEVICE, O_RDWR);
	if(fd<0){
		perror(LED0_DEVICE);
		exit(1);
	}

	if(value)
		c = '1';
	else
		c = '0';

	write(fd, &c, 1);
	
	close(fd);
	return 0;
}

int main(){
	while(1){
		printf("点灯\n");
		led(0);
		sleep(1);

		printf("消灯\n");
		led(1);
		sleep(1);
	}
}
